This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859464 - Random Segmentation fault
Random Segmentation fault
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 11:48 EDT by sangu
Modified: 2012-10-15 09:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-3.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 09:10:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 684691 None None None 2012-10-15 09:11:09 EDT

  None (edit)
Description sangu 2012-09-21 11:48:56 EDT
Description of problem:
$ gdb evolution coredump 
Program terminated with signal 11, Segmentation fault.
#0  0x00007f7021d5a02c in g_type_check_instance_is_a (
    type_instance=<optimized out>, iface_type=<optimized out>) at gtype.c:3964
3964	  check = node && node->is_instantiatable && iface && type_node_conforms_to_U (node, iface, TRUE, FALSE);

(gdb) bt
#0  0x00007f7021d5a02c in g_type_check_instance_is_a (
    type_instance=<optimized out>, iface_type=<optimized out>) at gtype.c:3964
#1  0x00007f7028c7dd36 in e_extension_get_extensible ()
   from /lib64/libebackend-1.2.so.5
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#2  0x00007f6ff57ae555 in headers_changed_cb (user_data=0x2e80840, settings=, 
    key=<optimized out>) at e-mail-config-format-html.c:50
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#3  headers_changed_cb (settings=, key=<optimized out>, user_data=0x2e80840)
    at e-mail-config-format-html.c:35
#4  0x00007f7021d3a9a7 in g_cclosure_marshal_VOID__STRINGv (closure=
    0x7f6f8d02f440, return_value=<optimized out>, instance=0x37f1940, 
    args=<optimized out>, marshal_data=<optimized out>, 
    n_params=<optimized out>, param_types=0x1c18c60) at gmarshal.c:1004
#5  0x00007f7021d37d87 in _g_closure_invoke_va (closure=closure@entry=
    0x7f6f8d02f440, return_value=return_value@entry=0x0, 
    instance=instance@entry=0x37f1940, args=args@entry=0x7fff3f09a7c8, 
    n_params=1, param_types=0x1c18c60) at gclosure.c:840
#6  0x00007f7021d518f5 in g_signal_emit_valist (instance=0x37f1940, 
    signal_id=<optimized out>, detail=2665, var_args=var_args@entry=
    0x7fff3f09a7c8) at gsignal.c:3211
#7  0x00007f7021d51fa2 in g_signal_emit (instance=instance@entry=0x37f1940, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#8  0x00007f702202b31c in g_settings_real_change_event (settings=, 
    keys=<optimized out>, n_keys=112) at gsettings.c:288
---Type <return> to continue, or q <return> to quit---
#9  0x00007f70178beed8 in ffi_call_unix64 () from /lib64/libffi.so.5
#10 0x00007f70178be8e0 in ffi_call () from /lib64/libffi.so.5
#11 0x00007f7021d38aab in g_cclosure_marshal_generic_va (closure=0x1dcf3d0, 
    return_value=0x7fff3f09aca0, instance=0x37f1940, 
    args_list=<optimized out>, marshal_data=
    0x7f702202b2b0 <g_settings_real_change_event>, n_params=2, param_types=
    0x1bf1e10) at gclosure.c:1550
#12 0x00007f7021d37d87 in _g_closure_invoke_va (closure=closure@entry=
    0x1dcf3d0, return_value=return_value@entry=0x7fff3f09aca0, 
    instance=instance@entry=0x37f1940, args=args@entry=0x7fff3f09ae68, 
    n_params=2, param_types=0x1bf1e10) at gclosure.c:840
#13 0x00007f7021d518f5 in g_signal_emit_valist (instance=0x37f1940, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fff3f09ae68) at gsignal.c:3211
#14 0x00007f7021d51fa2 in g_signal_emit (instance=instance@entry=0x37f1940, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
#15 0x00007f702202bb97 in settings_backend_path_changed (
    target=<optimized out>, backend=<optimized out>, path=0x7f7000010f40 "/", 
    origin_tag=<optimized out>) at gsettings.c:363
#16 0x00007f70220279ea in g_settings_backend_invoke_closure (user_data=
    0x7f6fe9ab6f00) at gsettingsbackend.c:271
#17 0x00007f7021a4cb85 in g_main_dispatch (context=0x1c85e50) at gmain.c:2715
#18 g_main_context_dispatch (context=context@entry=0x1c85e50) at gmain.c:3219
---Type <return> to continue, or q <return> to quit---
#19 0x00007f7021a4ceb8 in g_main_context_iterate (context=0x1c85e50, 
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3290
#20 0x00007f7021a4d2b2 in g_main_loop_run (loop=0x239d330) at gmain.c:3484
#21 0x00007f7023e5697d in gtk_main () from /lib64/libgtk-3.so.0
#22 0x0000000000403ad8 in main (argc=1, argv=0x7fff3f09b258) at main.c:691

Version-Release number of selected component (if applicable):
3.5.92-2.fc18.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
glib2-2.33.14-1.fc18.x86_64
Comment 1 Milan Crha 2012-10-15 09:10:49 EDT
Thanks for a bug report. This had been fixed upstream in [1], ans is part of
the 3.6.1 release.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=684691

Note You need to log in before you can comment on or make changes to this bug.